/*
Date: 27.03.2012
Author: Roman Iedemskyi
Complexity: O((N + M)M)
Score: 50
*/
#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

int main() {
	freopen("mutation.dat", "rt", stdin);
	freopen("mutation.sol", "wt", stdout);
	vector<int> res;
	string s, p;
	cin >> p >> s;
	for (int i = 0; i < p.size(); i++) {
		string t = s, 
			   q = p.substr(0, i) + p.substr(i + 1);
		int it = 0, iq = 0;
		while (it < t.size() && iq < q.size()) {
			if (t[it] == q[iq]) {
				it++;
				iq++;
			} else {
				it++;
			}
		}
		if (iq == q.size()) res.push_back(i + 1);
	}
	cout << res.size() << endl;
	for (int i = 0; i < res.size(); i++) {
		if (i) cout << " ";
		cout << res[i];
	}
	cout << endl;
	return 0;
}