/*
Date: 27.03.2012
Author: Roman Iedemskyi
Complexity: O(NM)
Score: 100
*/
#define _CRT_SECURE_NO_DEPRECATE
#include <algorithm>
#include <string>
#include <vector>
#include <queue>
#include <iostream>
#include <cmath>
#include <sstream>
#include <map>
#include <set>
#include <stack>
#include <cstring>
#include <ctime>
#include <cstdio>
#include <memory>
using namespace std;
#define pb push_back
#define INF 1000000000
#define L(s) (int)((s).end()-(s).begin())
#define FOR(i,a,b) for (int i = (a); i <= (b); i++)
#define FORD(i,a,b) for(int i = (a); i >= (b); i--)
#define rep(i,n) FOR(i,1,(n))
#define rept(i,n) FOR(i,0,(n)-1)
#define C(a) memset((a),0,sizeof(a))
#define ll long long
#define all(c) (c).begin(), (c).end()
#define SORT(c) sort(all(c))
#define VI vector<int>
#define ppb pop_back
#define mp make_pair
#define pii pair<int,int>
#define pdd pair<double,double>
//#define x first
//#define y second
#define sqr(a) (a)*(a)
#define D(a,b) sqrt(((a).x-(b).x)*((a).x-(b).x)+((a).y-(b).y)*((a).y-(b).y))
#define pi 3.1415926535897932384626433832795028841971
//#define tt (ll+rr)/2
#define UN(v) sort((v).begin(),(v).end()),v.erase(unique(v.begin(),v.end()),v.end())
#define rnd() ((rand() << 16) ^ rand())

char s[401][401];
int p[401][401];

int main()
{ 
    freopen("paint.dat","rt",stdin); 
	freopen("paint.sol","wt",stdout); 
	int n, m, d, k;
	scanf("%d%d%d%d", &n, &m, &d, &k); gets(s[0]);
	rep(i, n)
		gets(s[i] + 1);
    int dn = min(n, d),
		dm = min(m, d);
	rep(i, n)
		rep(j, m)
			p[i][j] = p[i - 1][j] + p[i][j - 1] - p[i - 1][j - 1] + (s[i][j] == 'B');

	int res = 0, W = 0;
	rep(i, n)
		rep(j, m) {
			W += (s[i][j] == 'W');
			if (i + dn - 1 <= n && j + dm - 1 <= m) {
				res = max(res, p[i + dn - 1][j + dm - 1] - p[i + dn - 1][j - 1] - p[i - 1][j + dm - 1] + p[i - 1][j - 1]);
			}
		}

	if (k % 2 == 0) {
		res = W - (dn * dm - res);
	} else {
		res = W + res;
	}

	cout << res << " " << n * m - res << endl;
    return 0;
}